Retrieve verifier policy preview
/v1/ecosystems/{ecosystemId}/verifier-policies/previewRetrieves an ecosystem verifier policy preview by providing the ecosystem's ID. A policy preview includes all the participants and their verifier certificates created in the ecosystem, including those that fail validation and would be excluded from a published policy. The validation result is provided for each certificate.
Roles
Analytics Events
Authorization
bearerAuth In: header
Path Parameters
The UUID of the ecosystem
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/ecosystems/497f6eca-6276-4993-bfeb-53cbbbba6f08/verifier-policies/preview"{ "publishedAt": "2019-08-24T14:15:22Z", "participants": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "status": "Active", "verifierCertificates": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "certificatePem": "string", "certificateFingerprint": "string", "status": "Active", "validationResult": { "validated": true } } ], "country": "string", "stateOrProvince": "string" } ]}How would you rate this page?
Publish verifier policy POST
Publish a new version of the ecosystem verifier policy. A participant is included only if it is active and has at least one verifier certificate that passes validation. Only the certificates that pass validation are included.
Retrieve latest verifier policy GET
Retrieves the latest published ecosystem verifier policy by providing the ecosystem ID. This endpoint is intended for public consumption, and as such does not require authentication.